# std::atomic<T>::operator=

From cppreference.com
< cpp‎ | atomic‎ | atomic

| (1) | (since C++11)
T operator=( T desired ) noexcept; |  |
T operator=( T desired ) volatile noexcept; | (1) | (since C++11)
| (2) | (since C++11)
atomic& operator=( const atomic& ) = delete; |  |
atomic& operator=( const atomic& ) volatile = delete; |  |

1) Atomically assigns a value `desired` to the atomic variable. Equivalent to store(desired).
2) Atomic variables are not CopyAssignable.

### Parameters

desired | - | value to assign

### Return value

`desired`.

### Notes

Unlike most assignment operators, the assignment operators for atomic types do not return a reference to their left-hand arguments. They return a copy of the stored value instead.

### See also

(constructor) | constructs an atomic object (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/atomic/atomic/operator%3D&oldid=103054"